## falcon 0.1

=== DESCRIPTION ===
Package: falcon
Version: 0.1
Date: 2014-03-20
Title: Finding Allele-specific Copy Number in Next-Generation
        Sequencing Data
Author: Hao Chen and Nancy R. Zhang
Maintainer: Hao Chen <hxchen@ucdavis.edu>
Depends: R (>= 3.0.1)
Description: This is a method for Allele-specific DNA Copy Number Profiling using Next-Generation Sequencing.  Given the allele-specific coverage at the variant loci, this program segments the genome into regions of homogeneous allele-specific copy number.  It requires, as input, the read counts for each variant allele in a pair of case and control samples. For detection of somatic mutations, the case and control samples can be the tumor and normal sample from the same individual.
License: GPL (>= 2)
Packaged: 2014-04-24 18:46:12 UTC; hao
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-24 22:59:03

## falcon 0.2

=== DESCRIPTION ===
Package: falcon
Version: 0.2
Date: 2016-04-20
Title: Finding Allele-Specific Copy Number in Next-Generation
        Sequencing Data
Author: Hao Chen and Nancy R. Zhang
Maintainer: Hao Chen <hxchen@ucdavis.edu>
Depends: R (>= 3.0.1)
Description: This is a method for Allele-specific DNA Copy Number Profiling using Next-Generation Sequencing.  Given the allele-specific coverage at the variant loci, this program segments the genome into regions of homogeneous allele-specific copy number.  It requires, as input, the read counts for each variant allele in a pair of case and control samples. For detection of somatic mutations, the case and control samples can be the tumor and normal sample from the same individual.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2016-04-20 22:08:18 UTC; haochen
Repository: CRAN
Date/Publication: 2016-04-21 08:20:42

## falcon 1.8.4

=== debian/changelog ===
falcon (1.8.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Tue, 13 Dec 2016 00:13:45 -0800

falcon (1.8.4-1) unstable; urgency=medium

  * debian/upstream/metadata: quote authors list
  * Imported Upstream version 1.8.4
  * debian/copyright: add license terms for new bundled source FALCON_unzip

 -- Afif Elghraoui <afif@debian.org>  Fri, 02 Dec 2016 00:17:31 -0800

falcon (1.8.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Fri, 02 Dec 2016 00:51:36 -0800

falcon (1.8.3-1) unstable; urgency=medium

  * Imported Upstream version 1.8.3 (Closes: #844974)
  * Update and refresh patches
  * build-system.patch: remove unnecessary changes
  * debian/control:
    - Drop rdflib-related dependencies
    - Drop dependency on python-six
  * Drop symlinks for obsolete modes of fc_run
  * Simplify organization of private Python modules
  * Add publication information
  * Drop transitional package
  * Improve package description

 -- Afif Elghraoui <afif@debian.org>  Sat, 26 Nov 2016 21:34:34 -0800

falcon (1.8.2-1) unstable; urgency=medium

  * debian/get-orig-source: handle symlinks pointing to directories
  * Imported Upstream version 1.8.2
  * Update and refresh patches
  * Update d/copyright

 -- Afif Elghraoui <afif@debian.org>  Sun, 13 Nov 2016 23:28:24 -0800

falcon (1.7.5-1) unstable; urgency=medium

  * Imported Upstream version 1.7.5
  * Renamed source package to match upstream name
    - update VCS URL to match package name
  * Track upstream integration repository for sources
    and supporting code
  * Revamp packaging for bundled subcomponents
    - install private executables and libraries to /usr/lib/falcon/

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 04:33:12 -0700

falconkit (0.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7 (git 349163e)
  * Remove max version limit for networkx
  * Don't install legacy py_scripts
  * Bump Standards-Version to 3.9.8
  * Update source URL to current release series
  * Globally use C.UTF-8 locale during package build

 -- Afif Elghraoui <afif@debian.org>  Wed, 22 Jun 2016 07:12:56 -0700

falconkit (0.1.3+20140820-1) unstable; urgency=low

  * Initial release from git4a8f86f (Closes: #808708)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 21 Dec 2015 22:33:31 -0800

=== debian/control ===
Source: falcon
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	rsync,
	python-all-dev,
	python-setuptools,
	python-networkx (>= 1.7),
# Test-Depends:
	python-nose,
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/FALCON
Vcs-Git: https://anonscm.debian.org/git/debian-med/falcon.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/falcon.git

Package: falcon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
	python-pkg-resources,
	python-networkx (>= 1.7),
Description: diploid-aware genome assembly of single-molecule sequencing reads
 FALCON is a set of tools for fast aligning long reads for consensus
 and assembly. It is a simple code collection for efficient assembly of
 haploid and diploid genomes.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk
export LC_ALL=C.UTF-8

export FALCON_WORKSPACE=$(CURDIR)
export FALCON_PREFIX=$(CURDIR)/inst
export FALCON_INSTALL_RULE=install

export PYTHONPATH:=$(FALCON_PREFIX)/pylib:$(PYTHONPATH)

%:
	dh $@ --with python2

override_dh_auto_build:
	mkdir -p \
		$(FALCON_PREFIX)/bin \
		$(FALCON_PREFIX)/include \
		$(FALCON_PREFIX)/lib \
		$(FALCON_PREFIX)/pylib
	$(MAKE) all

override_dh_auto_test: unit-tests integration-tests ;

.PHONY: unit-tests
unit-tests:
	nosetests -v FALCON/test/

.PHONY: integration-tests
integration-tests:
	PATH=$(FALCON_PREFIX)/bin:$(PATH) $(MAKE) test
	$(MAKE) -C FALCON-examples clean-synth0

override_dh_install:
	dh_install -XLICENSE

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r $(FALCON_PREFIX)

=== debian/tests/control ===
Test-Command:
	export PYTHONPATH=/usr/lib/falcon/pylib;
	cp -r FALCON/test FALCON/test_data $ADTTMP
	&& cd $ADTTMP
	&& nosetests -v test/
Depends: @, python-nose
Restrictions: allow-stderr

Test-Command:
	cp -r /usr/share/doc/falcon/examples/* $ADTTMP
	&& cd $ADTTMP;
	find -name "*.gz" -exec gunzip {} +;
	make full-test
Depends: @, make
Restrictions: allow-stderr

## falcon 1.8.6

=== DEXTRACTOR/Makefile ===
PATH_HDF5 = /sw/apps/hdf5/current
PATH_HDF5 = /usr/local/hdf5

DEST_DIR  = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = dextract dexta undexta dexqv undexqv

all: $(ALL)

dextract: dextract.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -I$(PATH_HDF5)/include -L$(PATH_HDF5)/lib -o dextract dextract.c DB.c QV.c -lhdf5

dexta: dexta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o dexta dexta.c DB.c QV.c

undexta: undexta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o undexta undexta.c DB.c QV.c

dexqv: dexqv.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o dexqv dexqv.c DB.c QV.c

undexqv: undexqv.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o undexqv undexqv.c DB.c QV.c

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f dextract.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf dextract.tar.gz README Makefile *.h *.c

=== debian/changelog ===
falcon (1.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * For any actual use, this package requires more memory than would
    be addressable on a 32-bit system. Change the architecture list
    from any to a list of all current 64bit architectures.
  * Don't run integration-tests, they sometimes fail. (Closes: #863929)

 -- Adrian Bunk <bunk@debian.org>  Wed, 07 Jun 2017 14:56:14 +0300

falcon (1.8.6-1) unstable; urgency=medium

  * New upstream release
  * Remove Files-Excluded line
  * New dependencies: rsync, time
  * Update patches
  * Remove copyright statements for removed sources
  * autopkgtest:
    - work around failure caused by trying to use /tmp while
      running in /tmp

 -- Afif Elghraoui <afif@debian.org>  Mon, 23 Jan 2017 22:56:36 -0800

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,15 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/falcon.git
 
 Package: falcon
-Architecture: any
+Architecture: alpha any-amd64 arm64 hppa mips64el ppc64 ppc64el s390x sparc64
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},
 	${python:Depends},
 	python-pkg-resources,
 	python-networkx (>= 1.7),
+	rsync,
+	time,
 Description: diploid-aware genome assembly of single-molecule sequencing reads
  FALCON is a set of tools for fast aligning long reads for consensus
  and assembly. It is a simple code collection for efficient assembly of

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 		$(FALCON_PREFIX)/pylib
 	$(MAKE) all
 
-override_dh_auto_test: unit-tests integration-tests ;
+override_dh_auto_test: unit-tests ;
 
 .PHONY: unit-tests
 unit-tests:

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	cp -r /usr/share/doc/falcon/examples/* $ADTTMP
 	&& cd $ADTTMP;
 	find -name "*.gz" -exec gunzip {} +;
+	find -name fc_run.cfg -exec sed -i /use_tmpdir/s/true/false/ {} +;
 	make full-test
 Depends: @, make
 Restrictions: allow-stderr

## falcon 1.8.8

=== DALIGNER/Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex

all: $(ALL)

daligner: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o daligner daligner.c filter.c align.c DB.c QV.c -lpthread -lm

HPC.daligner: HPC.daligner.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPC.daligner HPC.daligner.c DB.c QV.c -lm

LAsort: LAsort.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsort LAsort.c DB.c QV.c -lm

LAmerge: LAmerge.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAmerge LAmerge.c DB.c QV.c -lm

LAshow: LAshow.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAshow LAshow.c align.c DB.c QV.c -lm

LAdump: LAdump.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAdump LAdump.c align.c DB.c QV.c -lm

LAcat: LAcat.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcat LAcat.c DB.c QV.c -lm

LAsplit: LAsplit.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsplit LAsplit.c DB.c QV.c -lm

LAcheck: LAcheck.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcheck LAcheck.c align.c DB.c QV.c -lm

LAupgrade.Dec.31.2014: LAupgrade.Dec.31.2014.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAupgrade.Dec.31.2014 LAupgrade.Dec.31.2014.c align.c DB.c QV.c -lm

LAindex: LAindex.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAindex LAindex.c align.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f LAupgrade.Dec.31.2014
	rm -f daligner.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf daligner.tar.gz README Makefile *.h *.c

=== DAMASKER/Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = datander TANmask REPmask HPC.TANmask HPC.REPmask

all: $(ALL)

datander: datander.c tandem.c tandem.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o datander datander.c tandem.c align.c DB.c QV.c -lpthread -lm

TANmask: TANmask.c align.h align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o TANmask TANmask.c align.c DB.c QV.c -lm

REPmask: REPmask.c align.h align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o REPmask REPmask.c align.c DB.c QV.c -lm

HPC.TANmask: HPC.TANmask.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPC.TANmask HPC.TANmask.c DB.c QV.c -lm

HPC.REPmask: HPC.REPmask.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPC.REPmask HPC.REPmask.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f damasker.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf damasker.tar.gz README Makefile *.h *.c

=== DAZZ_DB/Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
      fasta2DAM DAM2fasta DBdump rangen

all: $(ALL)

fasta2DB: fasta2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DB fasta2DB.c DB.c QV.c -lm

DB2fasta: DB2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2fasta DB2fasta.c DB.c QV.c -lm

quiva2DB: quiva2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -DINTERACTIVE -o quiva2DB quiva2DB.c DB.c QV.c -lm

DB2quiva: DB2quiva.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2quiva DB2quiva.c DB.c QV.c -lm

DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm

DBdust: DBdust.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdust DBdust.c DB.c QV.c -lm

Catrack: Catrack.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o Catrack Catrack.c DB.c QV.c -lm

DBshow: DBshow.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBshow DBshow.c DB.c QV.c -lm

DBdump: DBdump.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdump DBdump.c DB.c QV.c -lm

DBstats: DBstats.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBstats DBstats.c DB.c QV.c -lm

DBrm: DBrm.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm

simulator: simulator.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

rangen: rangen.c
	gcc $(CFLAGS) -o rangen rangen.c

fasta2DAM: fasta2DAM.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DAM fasta2DAM.c DB.c QV.c -lm

DAM2fasta: DAM2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAM2fasta DAM2fasta.c DB.c QV.c -lm

DBupgrade.Sep.25.2014: DBupgrade.Sep.25.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Sep.25.2014 DBupgrade.Sep.25.2014.c DB.c QV.c -lm

DBupgrade.Dec.31.2014: DBupgrade.Dec.31.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Dec.31.2014 DBupgrade.Dec.31.2014.c DB.c QV.c -lm

DUSTupgrade.Jan.1.2015: DUSTupgrade.Jan.1.2015.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DUSTupgrade.Jan.1.2015 DUSTupgrade.Jan.1.2015.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f DBupgrade.Sep.25.2014 DBupgrade.Dec.31.2014 DUSTupgrade.Jan.1.2015
	rm -f dazz.db.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf dazz.db.tar.gz README Makefile *.h *.c

=== pypeFLOW/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PypeFlow.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PypeFlow.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PypeFlow"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PypeFlow"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== FALCON/src/c/Makefile ===
DW_align.so: DW_banded.c common.h
	gcc DW_banded.c -O3 -shared -fPIC -o DW_align.so

kmer_lookup.so: kmer_lookup.c common.h
	gcc kmer_lookup.c -O3 -shared -fPIC -o kmer_lookup.so

#falcon: DW_banded.c common.h kmer_lookup.c falcon.c 
#	gcc DW_banded.c kmer_lookup.c falcon.c -O4 -o falcon -fPIC 

falcon.so: falcon.c common.h DW_banded.c kmer_lookup.c
	gcc DW_banded.c kmer_lookup.c falcon.c -O3 -shared -fPIC -o falcon.so 

#falcon2.so: falcon.c common.h DW_banded_2.c kmer_lookup.c
#	gcc DW_banded_2.c kmer_lookup.c falcon.c -O3 -shared -fPIC -o falcon2.so 

clean:
	rm  *.so

all: DW_align.so kmer_lookup.so falcon.so

=== debian/changelog ===
falcon (1.8.8-1ubuntu1) bionic; urgency=medium

  * Disable running the integration tests in the autokpgtests,
    OOM everywhere

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 16 Dec 2017 18:52:17 +0000

falcon (1.8.8-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * New upstream version
  * Update and refresh patches
  * Update unit test invocation
  * d/get-orig-source: clean-ups and corrections
  * d/control: Exclude x32 architecture (Closes: #864378)
  * d/tests/control: s/ADTTMP/AUTOPKGTEST_TMP/
  * Re-enable integration tests (Closes: #864376)
  * Update copyright years
  * Bump Standards-Version to 4.1.2

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - Added references to registries.

 -- Afif Elghraoui <afif@debian.org>  Sat, 16 Dec 2017 02:57:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: falcon
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
@@ -12,13 +13,14 @@
 	python-networkx (>= 1.7),
 # Test-Depends:
 	python-nose,
-Standards-Version: 3.9.8
+	python-pytest,
+Standards-Version: 4.1.2
 Homepage: https://github.com/PacificBiosciences/FALCON
 Vcs-Git: https://anonscm.debian.org/git/debian-med/falcon.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/falcon.git
 
 Package: falcon
-Architecture: alpha any-amd64 arm64 hppa mips64el ppc64 ppc64el s390x sparc64
+Architecture: alpha amd64 kfreebsd-amd64 arm64 hppa mips64el ppc64 ppc64el s390x sparc64
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 		$(FALCON_PREFIX)/pylib
 	$(MAKE) all
 
-override_dh_auto_test: unit-tests ;
+override_dh_auto_test: unit-tests integration-tests ;
 
 .PHONY: unit-tests
 unit-tests:
-	nosetests -v FALCON/test/
+	$(MAKE) -C FALCON test
 
 .PHONY: integration-tests
 integration-tests:

=== debian/tests/control ===
Test-Command:
	export PYTHONPATH=/usr/lib/falcon/pylib;
	cp -r FALCON/makefile FALCON/test FALCON/test_data $AUTOPKGTEST_TMP
	# needed for doc-test...
	&& mkdir $AUTOPKGTEST_TMP/falcon_kit
	&& cp FALCON/falcon_kit/functional.py $AUTOPKGTEST_TMP/falcon_kit/
	&& cd $AUTOPKGTEST_TMP
	&& make test
Depends: @, make, python-nose, python-pytest
Restrictions: allow-stderr

#Test-Command:
#	cp -r /usr/share/doc/falcon/examples/* $AUTOPKGTEST_TMP
#	&& cd $AUTOPKGTEST_TMP;
#	find -name "*.gz" -exec gunzip {} +;
#	find -name fc_run.cfg -exec sed -i /use_tmpdir/s/true/false/ {} +;
#	make full-test
#Depends: @, make
#Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%falcon-$1.tar.gz%" \
	https://github.com/PacificBiosciences/FALCON-integrate/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
	debian \
	debian/get-orig-source

## falcon 2.0.5

=== po/Makefile ===
# This file is part of the Falcon repository manager
# Copyright (C) 2005-2006 Dennis Kaarsemaker
# See the file named COPYING in the root of the source tree for license details

DOMAIN=falcon
PO_FILES := $(wildcard *.po)
CONTACT=http://bugs.launchpad.net/falcon/
COPYRIGHT_HOLDER='Dennis Kaarsemaker <dennis@kaarsemaker.net>'

all: pot merge-po

# update the pot
pot:
	touch ../configure.in
	XGETTEXT_ARGS="--msgid-bugs-address=$(CONTACT) --copyright-holder=$(COPYRIGHT_HOLDER) -L Python" intltool-update -p -g $(DOMAIN)
	rm ../configure.in

# merge the new stuff into the po files
merge-po:
	touch ../configure.in
	XGETTEXT_ARGS="--msgid-bugs-address=$(CONTACT) --copyright-holder=$(COPYRIGHT_HOLDER) -L Python" intltool-update -r -g $(DOMAIN)
	rm ../configure.in
